Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.scaffolding.view
[Java] Class ScaffoldingViewResolver

    java.lang.Object
      org.springframework.web.servlet.view.InternalResourceViewResolver
          org.codehaus.groovy.grails.web.servlet.view.GrailsViewResolver
              org.codehaus.groovy.grails.scaffolding.view.ScaffoldingViewResolver

All Implemented Interfaces:
  ApplicationContextAware

    public class ScaffoldingViewResolver
    extends GrailsViewResolver

Overrides the default Grails view resolver and resolves scaffolded views at runtime.

Authors:
  Graeme Rocher

Since:
  1.1

Field Summary

Fields inherited from class GrailsViewResolver
GSP_SUFFIX, JSP_SUFFIX, templateEngine

Method Summary
`static void` | `clearViewCache()` Clears any cached scaffolded views.
`protected View` | `createScaffoldedView(java.lang.String viewName, java.lang.String viewCode)`
`protected java.lang.String` | `generateViewSource(GrailsWebRequest webRequest, GrailsDomainClass domainClass)`
`protected View` | `loadView(java.lang.String viewName, java.util.Locale locale)`
`void` | `setScaffoldedActionMap(java.util.Map scaffoldedActionMap)`
`void` | `setScaffoldedDomains(java.util.Map scaffoldedDomains)`
`void` | `setTemplateGenerator(GrailsTemplateGenerator templateGenerator)`

Methods inherited from class GrailsViewResolver
loadView, resolveViewForController, setPluginManager, setPrefix, setResourceLoader, setTemplateEngine

Method Detail

### clearViewCache

    public static void clearViewCache()

  Clears any cached scaffolded views.

### createScaffoldedView

    protected View createScaffoldedView(java.lang.String viewName, java.lang.String viewCode)

### generateViewSource

    protected java.lang.String generateViewSource(GrailsWebRequest webRequest, GrailsDomainClass domainClass)

### loadView

    @Override
    protected View loadView(java.lang.String viewName, java.util.Locale locale)

### setScaffoldedActionMap

    @SuppressWarnings({ "unchecked", "rawtypes" })
    public void setScaffoldedActionMap(java.util.Map scaffoldedActionMap)

### setScaffoldedDomains

    @SuppressWarnings({ "unchecked", "rawtypes" })
    public void setScaffoldedDomains(java.util.Map scaffoldedDomains)

### setTemplateGenerator

    public void setTemplateGenerator(GrailsTemplateGenerator templateGenerator)

Groovy Documentation